package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;
import java.util.List;

public class Tag23ECreator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag23ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        List<String> tag23EValue = mt103RemitCreator.getInstructionCode();
        if( tag23EValue != null ) { mt103RemitCreator.set("23E", tag23EValue, true); }
    }
}
